<p>
  Operacijsko pojačalo sastavni je dio mnogih digitalno-analognih (i analogno-digitalnih) 
  pretvornika. Kako je to slučaj već i za prvi digitalno-analogni pretvornik s kojim ćemo
  se upoznati, ova stranica namijenjena je upoznavanju s pojednostavljenim modelom vrste
  operacijskog pojačala poznatog pod nazivom diferencijsko pojačalo.
</p>

<h3>Upoznavanje</h3>

<p>
  Diferencijsko pojačalo je elektronički sklop koji ima dvije ulazne stezaljke (+) i (-)
  te izlaz. Ulazni otpor idealnog diferencijskog pojačala je beskonačan, tako da stezaljke
  (+) i (-) dovode u pojačalo napon na koji su spojene no inače ne utječu na naponske
  odnosno strujne karakteristike točaka na koje su spojene (u ulaze idealnog diferencijskog
  pojačala struja ne teče).
</p>
<p>
  Diferencijsko pojačalo na svojem izlazu generira napon:
\[
U_{\text{izl}} = U_{d} \cdot A_{v}
\]
  gdje je \(U_{d} = U_{p} - U_{m}\) pri čemu je \(U_{p}\) potencijal stezaljke (+), \(U_{m}\) potencijal
  stezaljke (-) a \(A_{v}\) faktor naponskog pojačanja. Diferencijsko pojačalo pojačava
  razliku potencijala između stezaljke (+) i stezaljke (-). Ako je ta razlika pozitivna, izlazni
  napon je pozitivan (i proporcionalan toj razlici); ako je razlika negativna, izlazni napon
  je negativan (i proporcionalan toj razlici). Faktor proporcionalnosti je upravo faktor
  naponskog pojačanja.
</p>

<p>
  Pogledajmo prvi primjer.
</p>

<script>
@#page-include#(elements.js)
@#page-include#(canvasActRegUtil.js)
@#page-include#(opIDvaRb.js)
</script>

<div style="width: 400px; height: 190px; text-align: center;">
<canvas id="myCanvas1a" width="400" height="190"></canvas><br>
(a) \(U_d = -5V\)
</div>
<div style="width: 400px; height: 190px; text-align: center;">
<canvas id="myCanvas1b" width="400" height="190"></canvas><br>
(b) \(U_d = -2.5V\)
</div>

<script>
  new OpIDvaRb("myCanvas1a",1000,1000,4,10);
  new OpIDvaRb("myCanvas1b",3000,1000,4,10);
</script>

<p>
  Diferencijsko pojačalo je element prikazan kao trokut. Potencijal stezaljke (-) određuje
  naponsko djelilo R1/Rf uz napon napajanja iznosa 10V. Razmatramo diferencijsko pojačalo
  koje ima faktor naponskog pojačanja 4. U prvom slučaju (a-dio), oba otpornika su 
  iznosa 1k pa je napon djelila jednak polovici napona napajanja (5V). Kako je stezaljka (+)
  spojena na masu, \(U_d = U_p - U_m = 0V - 5V = -5V.\) Izlazni napon stoga je za faktor
  naponskog pojačanja puta veći: \(U_{\text{izl}} = U_d \cdot A_v = -5V \cdot 4 = -20V.\)
</p>
<p>
  U drugom slučaju (b-dio), prvi otpornik iznosi 3k dok drugi iznosi 1k.
  Stoga je napon djelila jednak četvrtini napona napajanja (2.5V). Kako je stezaljka (+)
  spojena na masu, \(U_d = U_p - U_m = 0V - 2.5V = -2.5V.\) Izlazni napon stoga je za faktor
  naponskog pojačanja puta veći: \(U_{\text{izl}} = U_d \cdot A_v = -2.5V \cdot 4 = -10V.\)
</p>

<h3>Diferencijsko pojačalo određuje potencijal dna djelila</h3>

<p>
  Sada kada imate predodžbu kako funkcionira diferencijsko pojačalo, idemo sklop učiniti
  mrvicu interesantnijim. Dno otpornog djelila nećemo fiksno spojiti na masu već ćemo
  ga spojiti na izlaz diferencijskog pojačala. Primjer je prikazan u nastavku.
</p>

<div style="width: 400px; height: 240px; text-align: center;">
<canvas id="myCanvas2a" width="400" height="240"></canvas>
</div>

<script>
@#page-include#(opIDvaR.js)
</script>
<script>
  new OpIDvaR("myCanvas2a",1000,1000,4,10);
</script>

<p>
  Usporedite sklop iz prvog primjera pod (a) i ovaj novi primjer. Iznosi otpornika su 
  jednaki, sve je jednako, osim što je dno djelila spojeno na izlaz pojačala a ne više
  fiksno na masu. Izlaz pojačala više nije -20V već je samo -6.667V. Probajmo ovo objasniti
  najprije na intuitivnoj razini. Naponsko djelilo dijeli razliku potencijala gornje i donje
  točke. Pretpostavimo li na tren da je donja točka (izlaz pojačala) na 0V, imamo situaciju
  iz prvog primjera pod (a): izlaz bi trebao biti -20V a ne nula kako smo pretpostavili.
  Napon na izlazu operacijskog pojačala stoga će početi tonuti prema negativnim iznosima. 
  Međutim, kako taj napon počne padati, počet će padati i napon koji se dobiva na izlazu djelila;
  stoga on više neće biti 5V (a time \(U_d=-5V\)) već će i on početi padati čime će se i \(U_d\)
  početi približavati prema 0V. U jednom trenutku napon na izlazu pojačala potonut će upravo toliko
  da je jednak naponu \(U_d \cdot A_v\) i tada će se promjene zaustaviti.
</p>
<p>
  U promatranom slučaju, djelilo dijeli napon između točke potencijala 10V i točke potencijala 
  -6.667V. To je razlika od 16.667V. Pola tog napona (8.333V) je na otporniku R1 a pola tog
  napona je na otporniku Rf. Potencijal na izlazu djelila jednak je potencijalu dna uvećanom
  za napon koji se troši na Rf: -6.667V + 8.333V = 1.667V. To je ujedno i potencijal stezaljke
  (-) pa je \(U_d = -1.667V\) čime izlazni napon treba biti \(4 \cdot -1.667V = -6.667V\) i to 
  je upravo slučaj.
</p>

<p>
  Do formule prema kojoj možemo odrediti koliki će biti izlazni napon možemo doći na sljedeći
  način. Znamo da mora vrijediti:
\[
  U_d \cdot A_v = U_{\text{izl}}
\]
  Slijedi:
\[
  (U_p - U_m) \cdot A_v = U_{\text{izl}} \\
  (0V - U_m) \cdot A_v = U_{\text{izl}} \\
  -U_m \cdot A_v = U_{\text{izl}}
\]
  Ako je na dnu djelila napon \(U_{\text{izl}}\) a na vrhu napon \(U_{CC}\), potencijal
  izlaza djelila što je ujedno i \(U_m\) je:
\[
  U_m = (U_{CC}-U_{\text{izl}}) \frac{R_f}{R_1+R_f} + U_{\text{izl}}
\]
  Uvrštavanjem u prethodni izraz dobivamo:
\[
  -((U_{CC}-U_{\text{izl}}) \frac{R_f}{R_1+R_f} + U_{\text{izl}}) \cdot A_v = U_{\text{izl}}
\]
  iz čega se u par redaka dobiva:
\[
  U_{\text{izl}} = - U_{CC} \cdot \frac{R_f}{R_1+R_f} \cdot \frac{1}{\frac{1}{A_v} + \frac{R_1}{R_1+R_f}}
\]
  Razmotrimo sada kako iznos faktora naponskog pojačanja utječe na izlazni napon (i još važnije,
  na razliku potencijala između stezaljki (+) i (-)). U nastavku su prikazana još tri slučaja:
  jedan kod kojeg je faktor naponskog pojačanja smanjen na 2, jedan kod kojeg je dignut na 8
  te jedan kod kojeg je dignut na 800.
</p>

<div style="width: 400px; height: 240px; text-align: center;">
<canvas id="myCanvas2b" width="400" height="240"></canvas>
</div>
<div style="width: 400px; height: 240px; text-align: center;">
<canvas id="myCanvas2c" width="400" height="240"></canvas>
</div>
<div style="width: 400px; height: 240px; text-align: center;">
<canvas id="myCanvas2d" width="400" height="240"></canvas>
</div>

<script>
  new OpIDvaR("myCanvas2b",1000,1000,2,10);
  new OpIDvaR("myCanvas2c",1000,1000,8,10);
  new OpIDvaR("myCanvas2d",1000,1000,800,10);
</script>

<p>
  Vidite li trend? Uz najmanji \(A_v = 2\), dobili smo \(U_d = -2.5V\). Povećanjem
  \(A_v = 4\), dobili smo \(U_d = -1.667V\). Daljnjim povećanjem 
  \(A_v = 8\), dobili smo \(U_d = -1V\). Daljnjim povećanjem 
  \(A_v = 800\), dobili smo \(U_d = -0.012V\). Što bi se dogodilo kada bismo imali 
  <i>idealno</i> diferencijsko pojačalo koje ima faktor naponskog pojačanja izuzetno
  velik (recimo, beskonačan)? Napon \(U_d\) pao bi na nulu, čime bi diferencijsko pojačalo
  podešavanjem svojeg izlaza osiguralo da se na stezaljci (-) pojavi upravo onaj potencijal
  koji je prisutan na stezaljci (+), a bez da dođe do kratkog spoja tih dviju stezaljki - struja
  ne teče niti u stezaljku (+), niti u stezaljku (-). Uz beskonačno veliko naponsko pojačanje
  (ili u praksi "dovoljno" veliko), član \(1/A_v\) odlazi u nulu pa se sume otpornika u izrazu
  za izlazni napon pokrate i dobivamo da je izlazni napon određen direktno omjerom dvaju otpora
  naponskog djelila:
\[
  U_{\text{izl}} = - U_{CC} \cdot \frac{R_f}{R_1}
\]
  Takav slučaj ilustriran je na sklopu u nastavku.
</p>

<div style="width: 400px; height: 240px; text-align: center;">
<canvas id="myCanvas2e" width="400" height="240"></canvas>
</div>
<script>
  new OpIDvaR("myCanvas2e",1000,1000,0,10);
</script>

<div class="mlNote">
<p>
  Svrha cjelokupnog prethodnog teksta bila je dovesti nas do ovog posljednjeg
  prikazanog sklopa: idealnog diferencijskog pojačala koje se koristi i u
  pretvornicima. Uočite sljedeća važna svojstva tog sklopa u prikazanoj konfiguraciji.
</p>
<ol>
 <li>Ulazni otpor (+) i (-) stezaljki je beskonačan - struja u pojačalo ne ulazi.</li>
 <li>Faktor naponskog pojačanja je beskonačan.</li>
 <li>Zahvaljujući (2), koji god potencijal da dovedemo na stezaljku (+), pojačalo
     će se pobrinuti da taj isti potencijal vlada na stezaljci (-), jer razlika potencijala
     ne smije postojati. Kažemo da postoji <i>virtualni kratki spoj</i>.</li>
 <li>Zahvaljujući (3), lijevi dio sklopa od (-) prema napajanju može se analizirati nezavisno
     od desnog dijela sklopa. Primjerice, kako je na (+) stezaljku dovedena masa, isti je
     potencijal i na (-), pa na otporniku R1 vlada pad napona od 10V-0V=10V. Struja koja teče
     kroz taj otpornik određena je s \(\frac{U_{CC}}{R1}\) i ne ovisi o \(R_f\)! Štoviše,
     ta kompletna struja dalje teče kroz \(R_f\) i na njemu stvara pad napona što je ujedno
     i izlazni napon samog pojačala (do na predznak).</li>
</ol>
</div>

<p>
  Ako ste ovo savladali, sada ste spremni za prvi digitalno-analogni pretvornik.
</p>
